
[Repo Rescue][10] stands as a primitive, low-tech complement to the [ForgeFed][20] effort.

Much of [the rationale][30] is the same as ForgeFed, but instead of creating protocols and writing software, we collect links.

These links lead to repositories, whether code or other types of data, that are freely redistributable, either standing in the public domain or due to explictly being licensed under a recognized free or open source software license, or the more permissive of the Creative Commons licenses (eg, CC0, CC-BY, or CC-BY-SA).

The key factor for these repositories is that the main repository is hosted on a centralized, proprietary platform, but that the links collected here point to clones or forks that are being hosted on platforms that are themselves also free and open source software.

The signature example here is [Gitea][40] which for a long time has been hosted on Github, but which is itself free and open source software for hosting repositories! Gitea ostensibly has been moving towards the more reflexive type of self-hosting (in the [dogfooding][50]) sense), where the main repository for Gitea collaborative development is hosted on an instance of Gitea itself, but at the time of this writing (late 2022) it has not yet come to pass. This demonstrates the powerful pull of the centralized, proprietary platforms.

Thus, our inaugural entry will be [Gitea itself][60].

[10]: https://tildegit.org/idle/repo-rescue
[20]: https://forgefed.org/
[30]: https://forgefed.org/#why-forgefed
[40]: https://gitea.io
[50]: https://en.wikipedia.org/wiki/Eating_your_own_dog_food
[60]: https://tildegit.org/idle/repo-rescue/src/branch/main/gitea/gitea.md 
